# 1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof} POST https://graph.facebook.com/v25.0/{page_id}/video_reels Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/social-media-posting/facebook/reels/1-initialize-upload-https-graph-facebook-com-v-25-0-fb-page-id-video-reels-appsecret-proof-appsecret-proof ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v25.0/{page_id}/video_reels: post: operationId: >- 1-initialize-upload-https-graph-facebook-com-v-25-0-fb-page-id-video-reels-appsecret-proof-appsecret-proof summary: >- 1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof} tags: - >- subpackage_socialMediaPosting.subpackage_socialMediaPosting/facebook.subpackage_socialMediaPosting/facebook/reels parameters: - name: page_id in: path description: FB page of the access_token query param required: true schema: type: string - name: appsecret_proof in: query description: >- echo -n "FB_PAGE_ACCESS_TOKEN" | openssl dgst -sha256 -hmac "9321fa6df4b4112d66b24fdac92f1eba" | sed 's/^.* //' required: false schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_Response_200 requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: 'Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_Response_200': type: object properties: video_id: type: string upload_url: type: string format: uri required: - video_id - upload_url title: >- Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_Response_200 ``` ## SDK Code Examples ```python Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example import requests url = "https://graph.facebook.com/v25.0/996526996873368/video_reels" querystring = {"appsecret_proof":"116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519"} payload = "{ \"upload_phase\":\"start\", \"access_token\":\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\" // {fb_access_token} }" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example const url = 'https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"{\n \"upload_phase\":\"start\",\n \"access_token\":\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\" // {fb_access_token}\n }"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519" payload := strings.NewReader("\"{\\n \\\"upload_phase\\\":\\\"start\\\",\\n \\\"access_token\\\":\\\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\\\" // {fb_access_token}\\n }\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"upload_phase\\\":\\\"start\\\",\\n \\\"access_token\\\":\\\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\\\" // {fb_access_token}\\n }\"" response = http.request(request) puts response.read_body ``` ```java Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519") .header("Content-Type", "application/json") .body("\"{\\n \\\"upload_phase\\\":\\\"start\\\",\\n \\\"access_token\\\":\\\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\\\" // {fb_access_token}\\n }\"") .asString(); ``` ```php Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example request('POST', 'https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519', [ 'body' => '"{\\n \\"upload_phase\\":\\"start\\",\\n \\"access_token\\":\\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\\" // {fb_access_token}\\n }"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example using RestSharp; var client = new RestClient("https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"upload_phase\\\":\\\"start\\\",\\n \\\"access_token\\\":\\\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\\\" // {fb_access_token}\\n }\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Social Media Posting_Facebook_Reels_1. Initialize Upload: https://graph.facebook.com/v25.0/{fb_page_id}/video_reels?appsecret_proof={appsecret_proof}_example import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"upload_phase\":\"start\", \"access_token\":\"EAAFQsXjJfv0BQzYjZC0wZBYDJT2JzPKyDKP7Oi9RvisGlNklyKqCz1WuhUvZAUtkjQIJNnHiv63LUpXgxyTtW6bjC9OosEzzKk1yqZAd1xF9mTRciRXqUzKhoV7Dom0f585wzEUbcpaKXgFH4UyrBo3ZClh3rHyhiOh05GOgNp27DyHZAmEDghEiqBDxzWUhhkhkcVBhgK8trgAw0d7Bgr\" // {fb_access_token} }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v25.0/996526996873368/video_reels?appsecret_proof=116cc2b2b3a48410356ead1fa9464c93c6979bee6eaf981744dd5e8a5f5be519")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```